Subject: toolchains compiling, issue with i_am_not_a_leaf reference

From: fpga dsp <[email-masked]>
Date: Wed, 4 Jun 2003 15:12:14 +1000 (EST)

Hi all,

I got trouble with compiling mipsel gnu toolchains.
Basicly, i downloaded all the required source code to
build a cross compiling toolchains for MIPS

binutils-2.13.90.0.10.tar.gz
gcc-3.2.tar.gz
glibc-2.2.5.tar.gz
glibc-linuxthreads-2.2.5.tar.gz
glibc-2.2.5-mips-build-gmon.diff

the building process went fine, i can compile kernel
and sereral packages, However, when I compile zlib
package with the toolchain, it complaint that can not
reference to i_am_not_a_leaf. Do a search on runtime
library, there is no such thing but clearly, this
external variable is declared in glibc csu/initfini.c.
The mipsel-linux-gcc remove this dummy variable
somehow. Now, i compile glibc using sdelinux-mipsel
from MIPS site. This compiler keeps the variable
reference in the object file. So end up I have to use
glibc compiled by sdelinux and gnu-gcc from gnu, a
problem with this is mipsel-linux-strip can't strip
library linked by sdelinux linkder. 

Anyone got any ideas why?

Many thanks!

http://mobile.yahoo.com.au - Yahoo! Mobile
- Check & compose your email via SMS on your Telstra or Vodafone mobile.